Bug 846513 - keepassx qt build requirement is 4.3 not 4.1
keepassx qt build requirement is 4.3 not 4.1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On: 740612
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 21:44 EDT by Leonard den Ottolander
Modified: 2013-07-31 20:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 740612
Environment:
Last Closed: 2013-07-31 20:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2012-08-07 21:44:54 EDT
+++ This bug was initially created as a clone of Bug #740612 +++

Tried building the FC 15 keepassx-0.4.3-2 SRPM on CentOS-5. Supposedly the qt4 version on CentOS-5 (qt4-devel-4.2.1-1.el5_7.1) fulfills BuildRequires qt-devel > 4.1 but in fact it doesn't as the actual build requirement is qt-4.3 (http://www.keepassx.org/requirements/)

The build on CentOS-5 fails with a somewhat curious error:

/usr/lib/qt4/bin/uic forms/AboutDlg.ui -o ../build/ui/ui_AboutDlg.h
uic: File generated with too old version of Qt Designer
File 'forms/AboutDlg.ui' is not valid

Apparently the too new ui files are being interpreted as being too old ;p .

Note also that the correct package name is qt-devel and not qt4-devel anymore.

Please fix and change
BuildRequires qt4-devel > 4.1
to
BuildRequires qt-devel >= 4.3
in the spec file.

-----------

Issue still exists on FC 17. The build requirement should be on qt4-devel >= 4.3 not qt4-devel > 4.1. Even though not of practical concern on FC 17 for reusability on other platforms (amongst which RHEL 5) this build requirement should be corrected. For compatibility with RHEL 5 the name qt4-devel could be kept. Trivial fix.
Comment 1 Fedora End Of Life 2013-07-03 18:30:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:27:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.